Fetch Gift Card Balance
Returns the details of a specified gift card
Path Parameters
- Type: stringuuidrequired
Unique ID of the gift card issued by and maintained in the Punchh system
Headers
- Type: stringx
-pch -digest requiredThe signature for the API call
- Type: stringAuthorizationrequired
Used to authorize the request with access_token. It should be supplied as
Bearer ACCESS_TOKEN_GOES_HERE. - Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringAccept
- Language Preferred language
- Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringUser
- Agent requiredUsed to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.
Body
application/json
- Type: stringclientrequired
OAuth client ID provided by the business
Responses
- application/json
Request Example for get/api2/mobile/gift_cards/{uuid}/balance
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/gift_cards/{uuid}/balance' \
--header 'x-pch-digest: {{$$.env.signature}}' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--header 'Accept: application/json' \
--header 'Accept-Language: en' \
--header 'Content-Type: application/json' \
--header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
--data '{
"client": "CLIENT_GOES_HERE"
}'
{
"card_background_image": "IMAGE_URL_GOES_HERE",
"card_number": "CARD_NUMBER_GOES_HERE",
"epin": "EPIN_GOES_HERE",
"usb_scannable_card_number": "CARD_NUMBER_GOES_HERE",
"created_at": "2016-05-12T03:54:45-06:00",
"design_id": 1,
"preferred": false,
"name": "My first card",
"last_fetched_amount": 42,
"last_fetched_at": "2016-05-12T05:03:23-06:00",
"status": "active",
"type": null,
"updated_at": "2016-05-12T05:03:23-06:00",
"users": [
{
"user_id": 111111111,
"email": "test@example.com",
"first_name": "FIRST_NAME_GOES_HERE",
"last_name": "LAST_NAME_GOES_HERE",
"fb_uid": null,
"avatar_remote_url": null,
"state": "owner",
"user_card_id": "ID_GOES_HERE"
}
],
"uuid": "ID_GOES_HERE",
"gift_card_id": "ID_GOES_HERE",
"auto_reload_enabled": true,
"gc_user_auto_reload_threshold_amount": 50,
"gc_user_auto_reload_default_amount": 50,
"gc_user_auto_reload_preferred_payment": "PAYMENT_CARD_UUID_GOES_HERE"
}